Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468016 - net-libs/zeromq-3.2.2 - configure.in:13: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: net-libs/zeromq-3.2.2 - configure.in:13: error: 'AM_CONFIG_HEADER': this macr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Dirkjan Ochtman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-30 15:17 UTC by Stefan de Konink
Modified: 2013-05-01 04:48 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan de Konink 2013-04-30 15:17:22 UTC
When trying to update zeromq I end up with:

***** aclocal *****
***** PWD: /var/tmp/portage/net-libs/zeromq-3.2.2/work/zeromq-3.2.2
***** aclocal -I config

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:13: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:13: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


Portage 2.1.11.62 (default/linux/amd64/13.0/no-multilib, gcc-4.7.2, glibc-2.17, 3.2.13-grsec-xxxx-grs-ipv6-64 x86_64)
=================================================================
System uname: Linux-3.2.13-grsec-xxxx-grs-ipv6-64-x86_64-Intel-R-_Xeon-R-_CPU_W3530_@_2.80GHz-with-gentoo-2.2
KiB Mem:    24744184 total,   1681420 free
KiB Swap:    2097148 total,   2089196 free
Timestamp of tree: Tue, 30 Apr 2013 08:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.4
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.1, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.5.3-r2, 4.6.2, 4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://mirror.ovh.net/gentoo-portage/"
USE="acl amd64 berkdb bzip2 caps cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx modules ncurses nptl openmp pcre python2 readline session smp snmp sse sse2 ssl tcpd threads unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel matrox" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 1 Karol Krizka 2013-05-01 02:34:31 UTC
Same problem here.

***** aclocal *****
***** PWD: /var/tmp/portage/net-libs/zeromq-3.2.2/work/zeromq-3.2.2
***** aclocal -I config

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
/usr/share/aclocal/log4c.m4:7: warning: underquoted definition of AM_PATH_LOG4C
/usr/share/aclocal/log4c.m4:7:   run info Automake 'Extending aclocal'
/usr/share/aclocal/log4c.m4:7:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.in:13: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:13: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


emerge --info
Portage 2.1.11.62 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.2, glibc-2.17, 3.7.1-tuxonice x86_64)
=================================================================
System uname: Linux-3.7.1-tuxonice-x86_64-AMD_FX-tm-8120_Eight-Core_Processor-with-gentoo-2.2
KiB Mem:     8184680 total,   1046492 free
KiB Swap:    2008120 total,   2007912 free
Timestamp of tree: Sun, 28 Apr 2013 15:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo sunrise science zugaina emacs gamerlay bitcoin local
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Livestation-EULA dlj-1.1 sun-bcla-java-vm skype-eula googleearth AdobeFlash-10.1 AdobeFlash-10 PUEL Oracle-BCLA-JavaSE AdobeFlash-10.3 skype-4.0.0.7-copyright google-talkplugini Google-TOS AdobeFlash-11.x google-chrome"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -march=bdver1 -mtune=bdver1 -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -march=bdver1 -mtune=bdver1 -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_CA.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/science /var/lib/layman/zugaina /var/lib/layman/emacs /var/lib/layman/gamerlay /var/lib/layman/bitcoin /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3ds X a52 aac accessibility acl acpi addbookmarks additions addressbook akonadi alisp allegro alsa amd64 amrnb amrwb ao apng applet archive artworkextra ass assistant autoipd automount autopid avahi avi bash-completion berkdb bineditor bittorrent bonjour bonusscripts branding bullet bzip2 cairo cal3d calendar caps captury cdaudio cdda cdio cdr cegui cg chm city cleartype cli clock-screen cmake collada colord compat compiz consolekit contactnotes contrib corefonts coverart cracklib crypt css ctype cuda curl custom-optimization cvs cxx cycles daap dbus debugger deciberl declarative demos designer-plugin desktopglobe devil dfs dhcpcd dia disk-partition divx djvu dv dvd dvdnav dvdr dvdread dynamic ebook editor eigen emacs emacs23icons emboss emovix enblend encode evolution exif exiv2 expoblending extensions extra extras faac faad facebook fam fastrack fasttrack fbcondecor fbsplash ffmpeg fftw filter fits flac fmod fontconfig foomaticdb fortran frei0r fts3 fuse g3dvl galago gallium gbm gconf gd gdbm geolocation gflags gif git gles2 glib glitz gmm gnutella google gphoto2 gpm gpssync gpu gs gsf gsm gstreamer guile highlight history hwdb hyperestraier iconv icu id3tag ieee1394 ilbc infinality inkjar inotify inquisitio introspection iphone ithreads jadetex java java6 javascript jpeg jpeg2k jpg json kate kde kdm kdu key-screen keyring kickoff kipi kpathsea lame lapack largefile latex lcdfilter lcms ldap libburn libmpeg2 libnotify lm_sensors logitech-mouse lua lzma lzo mad magic maps marble matplotlib mdnsresponder-compat melt messenger metis midi minizip mjpeg mmx mng modules moonlight mousewarp mp3 mp3rtp mp4 mpeg msn mta mtp mudflap multilib musepack musicbrainz mysqli ncurses nemsi nepomuk network_manager networking nls nsplugin ntfsprogs oauth ocamlopt octave ode ofa offensive ogg ogre ois openal opencl openexr openft opengl openmp opus otr pam panorama pch pcntl pcre pdf perl phonon php plasma player plotutils plugins png policykit poppler postscript ppds preview-latex profiler ps pulseaudio python qalculate qmake qt qt-copy qt3support qt4 qthelp quicktime qwt rar rdp readline realmedia redeyes redland regex reports romio rss rt73usb rtc rtmp samba sasl science script sdl search-screen secure-delete semantic-desktop session sftp sift simplexml skype slp social-desktop solver sox sparse speex spell spl sql sqlite sse sse2 sse3 sse41 sse42 ssl ssse3 stars startup-notification subversion suid svg swat swig symlink system-sqlite system-v8 taglib tbb tcl tcpd templates testprograms tetex themes theora threads thumbnail tiff timidity tinfo tiny tinyxml tk tools totem transparency tremor truetype type1 udev udisks unicode unlock-notify unsupported upnp upower usb v4l v4l2 vaapi vala vcd vdpau video vim vim-syntax visibility vivox vnc vorbis vpx wavpack webgl webkit windeco wlm wmf wpd wv2 wxwidgets x264 xattr xcb xcomposite xerces-c xetex xinerama xml xmlreader xmlwriter xoran xulrunner xv xvid xvmc yahoo zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias asis auth_digest authn_dbd cern_meta charset_lite dbd dumpio ident imagemap log_forensic version authn_core authz_core unixd socache_shmcb" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="sony_dscf55 canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB en_CA" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Alexander Vershilov (RETIRED) gentoo-dev 2013-05-01 04:48:48 UTC
Fixed, thanks for report. No revbump as it's compile phase fix.